<!DOCTYPE html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="style.css">
    <title>Todo App</title>
</head>
<body>
       <div class="container">
           <div class="row">
               <div class="heading">
                   <h1 >WORKS TO BE DONE </h1>
                   <input type="text" id="myInput" placeholder="Enter the Work"><span onclick="newElement()" class="addBtn"> +</span>
                   
               </div>
           </div>
        </div>
        <div class="container">
            <div class="row">
                <ul id="myUL">
                    <li class="checked">HTML</li>
                    <li class="checked">CSS</li>
                    <li class="checked">Javascript</li>
                    <li>Angular</li>
                    <li>React</li>
                </ul>
            </div>   
       </div>

    <script type="text/javascript">
        //Creating new list item when clickig on add button
        function newElement(){
            var li = document.createElement("li");
            var inputValue= document.getElementById("myInput").value;
            var x = document.createTextNode(inputValue);
            li.appendChild(x);
            if (inputValue === ''){
                alert("Please fill the title");
            }
            else{
                document.getElementById("myUL").appendChild(li); 
            }
            document.getElementById("myInput").value="";

            var span = document.createElement("SPAN");
            var text = document.createTextNode("\u00D7");
            span.className ="close";
            span.appendChild(text);
            li.appendChild(span);

            for(i = 0 ; i < close.length ; i++){
                close[i].onclick = function(){
                    var div=this.parentElement;
                    div.style.display ="none";
                }
            }
        }
// Create a "close" button and append it to each list item
            var myNodelist = document.getElementsByTagName("LI");
            var i;
            for (i = 0; i < myNodelist.length; i++) {
            var span = document.createElement("SPAN");
            var txt = document.createTextNode("\u00D7");
            span.className = "close";
            span.appendChild(txt);
            myNodelist[i].appendChild(span);
            }
// Click on a close button to hide the current list item
            var close = document.getElementsByClassName("close");
            var i;
            for (i = 0; i < close.length; i++) {
            close[i].onclick = function() {
                var div = this.parentElement;
                div.style.display = "none";
            }
            }

// Add a "checked" symbol when clicking on a list item
            var list = document.querySelector('ul');
            list.addEventListener('click', function(ev) {
            if (ev.target.tagName === 'LI') {
                ev.target.classList.toggle('checked');
            }
            }, false);
    </script>
       

</body>
</html>